libmtp: Data Fields - Variables

libmtp 1.1.21

### - a -

- AccessCapability : LIBMTP_devicestorage_struct
- album : LIBMTP_track_struct
- album_id : LIBMTP_album_struct
- artist : LIBMTP_album_struct, LIBMTP_track_struct

### - b -

- bitrate : LIBMTP_track_struct
- bitratetype : LIBMTP_track_struct
- bus_location : LIBMTP_raw_device_struct

### - c -

- cached : LIBMTP_mtpdevice_struct
- callback_active : _PTP_USB
- cd : LIBMTP_mtpdevice_struct
- child : LIBMTP_folder_struct
- composer : LIBMTP_album_struct, LIBMTP_track_struct

### - d -

- data : LIBMTP_filesampledata_struct
- datatype : LIBMTP_allowed_values_struct
- date : LIBMTP_track_struct
- default_album_folder : LIBMTP_mtpdevice_struct
- default_music_folder : LIBMTP_mtpdevice_struct
- default_organizer_folder : LIBMTP_mtpdevice_struct
- default_picture_folder : LIBMTP_mtpdevice_struct
- default_playlist_folder : LIBMTP_mtpdevice_struct
- default_text_folder : LIBMTP_mtpdevice_struct
- default_video_folder : LIBMTP_mtpdevice_struct
- default_zencast_folder : LIBMTP_mtpdevice_struct
- description : filemap_struct, propertymap_struct
- device_entry : LIBMTP_raw_device_struct
- device_flags : LIBMTP_device_entry_struct
- devnum : LIBMTP_raw_device_struct
- duration : LIBMTP_filesampledata_struct, LIBMTP_track_struct

### - e -

- errorstack : LIBMTP_mtpdevice_struct
- extensions : LIBMTP_mtpdevice_struct

### - f -

- filename : LIBMTP_file_struct, LIBMTP_track_struct
- filesize : LIBMTP_file_struct, LIBMTP_track_struct
- FilesystemType : LIBMTP_devicestorage_struct
- filetype : LIBMTP_file_struct, LIBMTP_filesampledata_struct, LIBMTP_track_struct
- folder_id : LIBMTP_folder_struct
- FreeSpaceInBytes : LIBMTP_devicestorage_struct
- FreeSpaceInObjects : LIBMTP_devicestorage_struct

### - g -

- genre : LIBMTP_album_struct, LIBMTP_track_struct

### - h -

- height : LIBMTP_filesampledata_struct

### - i -

- id : filemap_struct, LIBMTP_devicestorage_struct, propertymap_struct
- is_range : LIBMTP_allowed_values_struct
- item_id : LIBMTP_file_struct, LIBMTP_track_struct

### - m -

- major : LIBMTP_device_extension_struct
- MaxCapacity : LIBMTP_devicestorage_struct
- maximum_battery_level : LIBMTP_mtpdevice_struct
- minor : LIBMTP_device_extension_struct
- modificationdate : LIBMTP_file_struct, LIBMTP_track_struct

### - n -

- name : LIBMTP_album_struct, LIBMTP_device_extension_struct, LIBMTP_folder_struct, LIBMTP_playlist_struct
- next : LIBMTP_album_struct, LIBMTP_device_extension_struct, LIBMTP_devicestorage_struct, LIBMTP_file_struct, LIBMTP_mtpdevice_struct, LIBMTP_playlist_struct, LIBMTP_track_struct
- no_tracks : LIBMTP_album_struct, LIBMTP_playlist_struct
- nochannels : LIBMTP_track_struct
- num_entries : LIBMTP_allowed_values_struct

### - o -

- object_bitsize : LIBMTP_mtpdevice_struct

### - p -

- params : LIBMTP_mtpdevice_struct
- parent_id : LIBMTP_album_struct, LIBMTP_file_struct, LIBMTP_folder_struct, LIBMTP_playlist_struct, LIBMTP_track_struct
- playlist_id : LIBMTP_playlist_struct
- prev : LIBMTP_devicestorage_struct
- product : LIBMTP_device_entry_struct
- product_id : LIBMTP_device_entry_struct
- ptp_id : filemap_struct, propertymap_struct

### - r -

- rating : LIBMTP_track_struct
- rawdevice : _PTP_USB

### - s -

- samplerate : LIBMTP_track_struct
- sibling : LIBMTP_folder_struct
- size : LIBMTP_filesampledata_struct
- storage : LIBMTP_mtpdevice_struct
- storage_id : LIBMTP_album_struct, LIBMTP_file_struct, LIBMTP_folder_struct, LIBMTP_playlist_struct, LIBMTP_track_struct
- StorageDescription : LIBMTP_devicestorage_struct
- StorageType : LIBMTP_devicestorage_struct

### - t -

- title : LIBMTP_track_struct
- tracknumber : LIBMTP_track_struct
- tracks : LIBMTP_album_struct, LIBMTP_playlist_struct

### - u -

- usbinfo : LIBMTP_mtpdevice_struct
- usecount : LIBMTP_track_struct

### - v -

- vendor : LIBMTP_device_entry_struct
- vendor_id : LIBMTP_device_entry_struct
- VolumeIdentifier : LIBMTP_devicestorage_struct

### - w -

- wavecodec : LIBMTP_track_struct
- width : LIBMTP_filesampledata_struct